"
 COPYRIGHT (c) 1996-2011 by Claus Gittinger
 COPYRIGHT (c) 2010-2011 by Jan Vrany, Jan Kurs and Marcel Hlopko
                            SWING Research Group, Czech Technical University in Prague

 Parts of the code written by Claus Gittinger are under following
 license:

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.

 Parts of the code written at SWING Reasearch Group [1] are MIT licensed:

 Permission is hereby granted, free of charge, to any person
 obtaining a copy of this software and associated documentation
 files (the 'Software'), to deal in the Software without
 restriction, including without limitation the rights to use,
 copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the
 Software is furnished to do so, subject to the following
 conditions:

 The above copyright notice and this permission notice shall be
 included in all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND,
 EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 OTHER DEALINGS IN THE SOFTWARE.

 [1] Code written at SWING Research Group contain a signature
     of one of the above copright owners.
"
"{ Package: 'stx:libjava' }"

Object subclass:#JavaAnnotationContainer
	instanceVariableNames:'runtimeVisible runtimeInvisible parent'
	classVariableNames:''
	poolDictionaries:''
	category:'Languages-Java-Annotations'
!

JavaAnnotationContainer class instanceVariableNames:'empty'

"
 No other class instance variables are inherited by this class.
"
!

!JavaAnnotationContainer class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1996-2011 by Claus Gittinger
 COPYRIGHT (c) 2010-2011 by Jan Vrany, Jan Kurs and Marcel Hlopko
                            SWING Research Group, Czech Technical University in Prague

 Parts of the code written by Claus Gittinger are under following
 license:

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.

 Parts of the code written at SWING Reasearch Group [1] are MIT licensed:

 Permission is hereby granted, free of charge, to any person
 obtaining a copy of this software and associated documentation
 files (the 'Software'), to deal in the Software without
 restriction, including without limitation the rights to use,
 copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the
 Software is furnished to do so, subject to the following
 conditions:

 The above copyright notice and this permission notice shall be
 included in all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND,
 EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 OTHER DEALINGS IN THE SOFTWARE.

 [1] Code written at SWING Research Group contain a signature
     of one of the above copright owners.

"
! !

!JavaAnnotationContainer class methodsFor:'instance creation'!

for:parent 
    ^self new initializeFor:parent.

    "Created: / 28-02-2011 / 16:33:00 / Marcel Hlopko <hlopik@gmail.com>"
    "Modified: / 03-03-2011 / 22:49:09 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

new
    "return an initialized instance"

    ^ self basicNew initialize.
! !

!JavaAnnotationContainer class methodsFor:'accessing'!

empty
    empty ifNil: [ empty := self new ].
    ^ empty.

    "Created: / 03-03-2011 / 22:45:18 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 16-03-2011 / 17:43:02 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
    "Modified: / 16-03-2011 / 16:49:17 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!JavaAnnotationContainer methodsFor:'accessing'!

ensureRuntimeInvisible
    runtimeInvisible size = 0 
        ifTrue: [ runtimeInvisible := JavaAnnotationDictionary new. ].
    ^ runtimeInvisible.

    "Created: / 16-03-2011 / 16:56:38 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
!

ensureRuntimeVisible
    runtimeVisible size = 0
        ifTrue: [ runtimeVisible := JavaAnnotationDictionary new. ].
    ^ runtimeVisible.

    "Created: / 16-03-2011 / 16:56:19 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
!

runtimeInvisible
    ^ runtimeInvisible
!

runtimeInvisible:something 
    runtimeInvisible := something.
!

runtimeVisible
    ^ runtimeVisible
!

runtimeVisible:something 
    runtimeVisible := something.
! !

!JavaAnnotationContainer methodsFor:'initialization'!

initialize

    "Do not remove this method, is reqired for proper
     initialization of 'empty' containers!!!!!!"

    runtimeVisible := JavaAnnotationDictionary empty.
    runtimeInvisible := JavaAnnotationDictionary empty.

    "Modified: / 16-03-2011 / 17:11:03 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
    "Created: / 16-03-2011 / 16:50:13 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

initializeFor: aParent

    self initialize.
    parent := aParent.

    "Modified: / 16-03-2011 / 17:11:03 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
    "Modified: / 16-03-2011 / 16:50:33 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!JavaAnnotationContainer class methodsFor:'documentation'!

version_SVN
    ^ '$Id$'
! !